#include "alsaclasses.h"

namespace Phonon
{

AlsaError::AlsaError(int code)
    : m_code(code)
{
    Q_ASSERT(code < 0);
}

int AlsaError::errorCode() const
{
    return -m_code;
}

const char *AlsaError::errorString() const
{
    return snd_strerror(m_code);
}

} // namespace Phonon
